libzypp 17.37.10

Glob.h File Reference
`#include <glob.h>`
`#include <iosfwd>`
`#include <zypp/base/Easy.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/Pathname.h>`

Go to the source code of this file.

## Classes
class | zypp::filesystem::Glob
| Find pathnames matching a pattern. More...
class | zypp::filesystem::Glob::const_iterator
| Iterate NULL terminated `char*` array. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::filesystem
| Types and functions for filesystem operations.

## Functions
| zypp::filesystem::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Glob::Flags)